Subject: bug#48341: 28.0.50; naming nnselect group fails on exit

From: "Jose A. Ortega Ruiz" <[email-masked]>
Date: Tue, 11 May 2021 05:55:22 +0100

On Mon, May 10 2021, Eric Abrahamsen wrote:

> "Jose A. Ortega Ruiz" <[email-masked]> writes:
>
>> - Use a Gnus configuration where the name of the server is not show in
>>   the Groups buffer. E.g., i use:
>>       (setq gnus-group-line-format " %m%S%p%3y%P%* %~(pad-right 45)G %B\n")
>>   and, if, for instance, a group is named "nnselect:foo", its name in
>>   the groups buffer is just "foo".
>> - Perform any search in the Groups buffer with G G
>> - After entering the results group, name it with C-c C-p
>> - Try exiting the group. One gets an error:
>>     Debugger entered--Lisp error: (wrong-type-argument stringp nil)
>>      string-match("^[^:]+:" nil)
>>      gnus-activate-group(nil)
>>      gnus-list-of-unread-articles(nil)
>>      nnselect-push-info("nnselect:nnselect-87im3qujhz.fsf")
>>      nnselect-close-group("nnselect-87im3qujhz.fsf" "")
>>      gnus-close-group("nnselect:nnselect-87im3qujhz.fsf")
>>      gnus-summary-exit()
>>      funcall-interactively(gnus-summary-exit)
>>      call-interactively(gnus-summary-exit nil nil)
>>      command-execute(gnus-summary-exit)
>
> I wasn't able to reproduce this using your `gnus-group-line-format' and
> searching an nnimap server.

I cannot reproduce it anymore!  I've recompiled emacs in the interim, so
maybe something was stale, or i had some state messed up that was
cleaned with the restart (my emacs sessions tend to be quite long)... so
i guess this is a false alarm and can be closed.  Sorry for the noise!

Cheers,
jao